Debian Bug report logs - #553035
ITP: opentyrian -- port of the DOS shoot-em-up Tyrian

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Etienne Millon <etienne.millon@gmail.com>

Date: Thu, 29 Oct 2009 07:25:35 UTC

Owned by: Etienne Millon <etienne.millon@gmail.com>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rx82cixl+debian@gmail.com, <wnpp@debian.org>:
Bug#553035; Package wnpp. (Thu, 29 Oct 2009 07:25:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to noname <rx82cixl+debian@gmail.com>:
New Bug report received and forwarded. Copy sent to rx82cixl+debian@gmail.com, <wnpp@debian.org>. (Thu, 29 Oct 2009 07:25:47 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: noname <rx82cixl+debian@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: opentyrian -- OpenTyrian is a port of the DOS shoot-em-up Tyrian. Jason Emery generously gave the OpenTyrian developers a copy of the Tyrian 2.1 source code, which has since been ported from Turbo Pascal to C. The port uses SDL, making it easily cross-platform. Tyrian is an arcade-style vertical scrolling shooter. The story is set in 20, 031 where you play as Trent Hawkins, a skilled fighter-pilot employed to fight Microsol and save the galaxy.
Date: Wed, 28 Oct 2009 18:46:47 +0100
Package: wnpp
Severity: wishlist


* Package name    : opentyrian
  Version         : No official releases; they just try to keep the code repository stable
  Upstream Author : http://code.google.com/p/opentyrian/people/list
* URL             : http://code.google.com/p/opentyrian/
* License         : GPLv2
  Programming Lang: C
  Description     : OpenTyrian is a port of the DOS shoot-em-up Tyrian. Jason Emery generously gave the OpenTyrian developers a copy of the Tyrian 2.1 source code, which has since been ported from Turbo Pascal to C. The port uses SDL, making it easily cross-platform. 
 
 Like openttd (Open Transport Tycoon Deluxe) only the source code is GPL, so the data files would have to be downloaded separately.




Changed Bug title to 'port of the DOS shoot-em-up Tyrian' from 'RFP: opentyrian -- OpenTyrian is a port of the DOS shoot-em-up Tyrian. Jason Emery generously gave the OpenTyrian developers a copy of the Tyrian 2.1 source code, which has since been ported from Turbo Pascal to C. The port uses SDL, making it easily cross-platform. Tyrian is an arcade-style vertical scrolling shooter. The story is set in 20, 031 where you play as Trent Hawkins, a skilled fighter-pilot employed to fight Microsol and save the galaxy.' Request was from Frank S. Thomas <fst@debian.org> to control@bugs.debian.org. (Sat, 30 Jan 2010 10:00:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: opentyrian -- port of the DOS shoot-em-up Tyrian' from 'port of the DOS shoot-em-up Tyrian' Request was from Frank S. Thomas <fst@debian.org> to control@bugs.debian.org. (Sat, 30 Jan 2010 10:09:02 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: opentyrian -- port of the DOS shoot-em-up Tyrian' from 'RFP: opentyrian -- port of the DOS shoot-em-up Tyrian' Request was from Etienne Millon <etienne.millon@gmail.com> to control@bugs.debian.org. (Tue, 31 May 2011 11:18:05 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Etienne Millon <etienne.millon@gmail.com>' from 'noname <rx82cixl+debian@gmail.com>' Request was from Etienne Millon <etienne.millon@gmail.com> to control@bugs.debian.org. (Tue, 31 May 2011 11:18:06 GMT) Full text and rfc822 format available.

Bug 553035 cloned as bug 628689. Request was from Etienne Millon <etienne.millon@gmail.com> to control@bugs.debian.org. (Tue, 31 May 2011 11:18:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#553035; Package wnpp. (Tue, 31 May 2011 11:24:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <etienne.millon@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 31 May 2011 11:24:21 GMT) Full text and rfc822 format available.

Message #20 received at 553035@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: "Frank S. Thomas" <fst@debian.org>
Cc: debian-devel-games@lists.debian.org
Subject: Re: retitle 553035 to RFP: opentyrian -- port of the DOS shoot-em-up Tyrian
Date: Tue, 31 May 2011 13:15:11 +0200
retitle 553035 ITP: opentyrian -- port of the DOS shoot-em-up Tyrian
submitter 553035 !
clone 553035 -1
retitle -1 ITP: opentyrian-data -- game data for opentyrian
thanks

Hello,

I am considering packaging opentyrian as part of the Debian Games Team
(CC'd). Actually, most of the technical work is done, but the package
needs a copy of the original game, which has been released under an
unclear license.

From http://www.freewebs.com/worldtreegames/ :

> Feel free to play it all you want and share it with friends, but for
> the moment I'd like to just have a central backup place (here) for
> the game.  In the future I might not mind other sites sharing it,
> but I do enjoy amusing fans. :)

Depending on the author's point of view, it can end up it main,
non-free or not hit the archive at all.

-- 
Etienne Millon




Owner recorded as Etienne Millon <etienne.millon@gmail.com>. Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Mon, 09 Jan 2012 21:28:49 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Etienne Millon <etienne.millon@gmail.com>:
Bug#553035; Package wnpp. (Mon, 27 May 2013 13:33:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Etienne Millon <etienne.millon@gmail.com>. (Mon, 27 May 2013 13:33:45 GMT) Full text and rfc822 format available.

Message #27 received at 553035@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 553035@bugs.debian.org
Cc: control@bugs.debian.org
Subject: opentyrian: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:26 +0200
retitle 553035 RFP: opentyrian -- port of the DOS shoot-em-up Tyrian
noowner 553035
tag 553035 - pending
thanks

Hi,

This is an automatic email to change the status of opentyrian back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting opentyrian, please send a mail to
<control@bugs.debian.org> with:

 retitle 553035 ITP: opentyrian -- port of the DOS shoot-em-up Tyrian
 owner 553035 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <553035@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: opentyrian -- port of the DOS shoot-em-up Tyrian' from 'ITP: opentyrian -- port of the DOS shoot-em-up Tyrian' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:54:34 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Etienne Millon <etienne.millon@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:54:34 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#553035; Package wnpp. (Wed, 29 May 2013 16:42:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <etienne.millon@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 29 May 2013 16:42:14 GMT) Full text and rfc822 format available.

Message #36 received at 553035@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: 628689@bugs.debian.org, 553035@bugs.debian.org
Subject: Small update
Date: Wed, 29 May 2013 18:38:56 +0200
retitle 553035 ITP: opentyrian -- port of the DOS shoot-em-up Tyrian
retitle 628689 ITP: opentyrian-data -- game data for opentyrian
owner 553035 !
owner 628689 !
thanks

Hello,

Packaging opentyrian is still in my plans. I got no answer from the
original authors regarding the copyright, but the game engine can
still be distributed in contrib. As for the game data, it is not
redistributable, but now game-data-packager makes it possible (I
believe) to automatically download the necessary files.

I don't have a lot of time these days but I have a working package
(the only problem being game data) and plan on finishing this in a few
months. Anyone interested is welcome :)

-- 
Etienne Millon



Changed Bug title to 'ITP: opentyrian -- port of the DOS shoot-em-up Tyrian' from 'RFP: opentyrian -- port of the DOS shoot-em-up Tyrian' Request was from Etienne Millon <etienne.millon@gmail.com> to control@bugs.debian.org. (Wed, 29 May 2013 16:42:23 GMT) Full text and rfc822 format available.

Owner recorded as Etienne Millon <etienne.millon@gmail.com>. Request was from Etienne Millon <etienne.millon@gmail.com> to control@bugs.debian.org. (Wed, 29 May 2013 16:42:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Etienne Millon <etienne.millon@gmail.com>:
Bug#553035; Package wnpp. (Wed, 29 Jan 2014 08:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Detiste <alexandre.detiste@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Etienne Millon <etienne.millon@gmail.com>. (Wed, 29 Jan 2014 08:21:04 GMT) Full text and rfc822 format available.

Message #45 received at 553035@bugs.debian.org (full text, mbox):

From: Alexandre Detiste <alexandre.detiste@gmail.com>
To: 553035@bugs.debian.org
Subject: willing to help
Date: Wed, 29 Jan 2014 09:17:11 +0100
[Message part 1 (text/plain, inline)]
I use this game and I'm willing to help.

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Etienne Millon <etienne.millon@gmail.com>:
Bug#553035; Package wnpp. (Thu, 13 Feb 2014 18:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <me@emillon.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Etienne Millon <etienne.millon@gmail.com>. (Thu, 13 Feb 2014 18:51:05 GMT) Full text and rfc822 format available.

Message #50 received at 553035@bugs.debian.org (full text, mbox):

From: Etienne Millon <me@emillon.org>
To: Alexandre Detiste <alexandre.detiste@gmail.com>, 553035@bugs.debian.org, 628689@bugs.debian.org
Subject: Re: Bug#553035: willing to help
Date: Thu, 13 Feb 2014 19:46:35 +0100
[Message part 1 (text/plain, inline)]
* Alexandre Detiste <alexandre.detiste@gmail.com> [140129 09:24]:
> I use this game and I'm willing to help.

Hi,

Unfortunately not a lot has changed since my last message. Due to the
non-redistributability of opentyrian-data, it's impossible to create a
source package for it. For the moment I created an open-tyrian binary
package that installs the data files to
/usr/share/games/opentyrian/data. The zip can be found at the
following URL:

http://www.camanis.net/tyrian/tyrian21.zip

However it's not possible as is. This zip file should be downloaded
and unpacked during postinst to somewhere in /var (cache or lib). It
is also possible to do this before launching the game somewhere in
$HOME. The latter is probably better as it avoids to download as root.

In the meantime, if you want to test, you can remove the dependency
and launch the game in a directory where data/ contains game data (see
src/file.c).

For the actual download code, I don't know if it's possible to use
game-data-packager, but it's always possible to roll our own solution,
à la flashplugin-nonfree.

In the meantime, I refreshed my packaging, fixed a few 
warnings and pushed my package to the following URL:

git+ssh://git.debian.org/git/pkg-games/opentyrian.git

As you can see your help is welcome :)

You can add yourself to Uploaders and help fix the remaining lintian
warnings, do the copyright review (should be OK), and/or of course
find a solution for the data files :)

If it's your first package I'll be happy to help you.

Please let me know what you're interested in.

-- 
Etienne Millon
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Etienne Millon <etienne.millon@gmail.com>:
Bug#553035; Package wnpp. (Mon, 17 Feb 2014 12:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Detiste <alexandre.detiste@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Etienne Millon <etienne.millon@gmail.com>. (Mon, 17 Feb 2014 12:27:09 GMT) Full text and rfc822 format available.

Message #55 received at 553035@bugs.debian.org (full text, mbox):

From: Alexandre Detiste <alexandre.detiste@gmail.com>
To: Etienne Millon <me@emillon.org>
Cc: 553035@bugs.debian.org, 628689@bugs.debian.org, pkg-games-devel@lists.alioth.debian.org
Subject: Re: Bug#553035: willing to help
Date: Mon, 17 Feb 2014 13:25:23 +0100
[Message part 1 (text/plain, inline)]
Hi,

For me, game-data-packager is the way to go to keep everything uniform.
Here is a patch adding tyrian to game-data-packager version 37.

It currently only recommends "opentyrian",
so this can be compiled manually.


 Makefile                  |    2 
 lib/tyrian-mirrors        |    1 
 supported/tyrian          |  126 
++++++++++++++++++++++++++++++++++++++++++++++
 tyrian-data/README.Debian |    4 +
 tyrian-data/control.in    |   13 ++++
 tyrian-data/copyright     |   20 +++++++
 tyrian.mk                 |   34 ++++++++++++
 7 files changed, 200 insertions(+)


Sample output:

tchet@legacy:~$ game-data-packager tyrian
game-data-packager tyrian arguments:
        game-data-packager tyrian [ -f path ] | [ -w ]
                -f path         path to your existing copy of tyrian21.zip
                -w              fetch tyrian21.zip from the World Wide Web
tchet@legacy:~$ 
tchet@legacy:~/game-data-packager-tyrian$ ./game-data-packager tyrian -f 
../tyrian21.zip 
generated "/home/tchet/game-data-packager-tyrian/tyrian-data_37_all.deb".


Alexandre Detiste


Le jeudi 13 février 2014, 19:46:35 Etienne Millon a écrit :
> * Alexandre Detiste <alexandre.detiste@gmail.com> [140129 09:24]:
> > I use this game and I'm willing to help.
> 
> Hi,
> 
> Unfortunately not a lot has changed since my last message. Due to the
> non-redistributability of opentyrian-data, it's impossible to create a
> source package for it. 

This is precisely the role of game-data-packager.

> For the moment I created an open-tyrian binary
> package that installs the data files to
> /usr/share/games/opentyrian/data. The zip can be found at the
> following URL:
> 
> http://www.camanis.net/tyrian/tyrian21.zip
> 
> However it's not possible as is. This zip file should be downloaded
> and unpacked during postinst to somewhere in /var (cache or lib). It
> is also possible to do this before launching the game somewhere in
> $HOME. The latter is probably better as it avoids to download as root.
> 
> In the meantime, if you want to test, you can remove the dependency
> and launch the game in a directory where data/ contains game data (see
> src/file.c).
> 
> For the actual download code, I don't know if it's possible to use
> game-data-packager, but it's always possible to roll our own solution,
> à la flashplugin-nonfree.
> 
> In the meantime, I refreshed my packaging, fixed a few
> warnings and pushed my package to the following URL:
> 
> git+ssh://git.debian.org/git/pkg-games/opentyrian.git

I got the code form elsewhere, but it works 
fine the data .deb from G-D-P.

#!/bin/sh
#hg clone https://code.google.com/p/opentyrian/
cd /home/tchet/bin/opentyrian
hg update

 
> As you can see your help is welcome :)
> 
> You can add yourself to Uploaders and help fix the remaining lintian
> warnings, do the copyright review (should be OK), and/or of course
> find a solution for the data files :)
> 
> If it's your first package I'll be happy to help you.
> 
> Please let me know what you're interested in.
[tyrian.patch (text/x-patch, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:53:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.